Subject: Re: bug#32120: 26.1; In python.el tab-width should default to 4

From: Carlos Pita <[email-masked]>
Date: Sat, 30 Mar 2019 00:25:46 -0300

Hi Noam,

On Sat, Mar 30, 2019 at 12:17 AM Noam Postavsky <[email-masked]> wrote:

>
> Seems clear to me that the proper solution is simply to rebind C-x Tab
> S-left/right to use python-indent-shift-left/right.  That will solve the
> actual problem you experience, without incorrectly showing any existing
> tab charaters as 4 spaces.
>
>
 I would agree with you if I understood why is it incorrect to show 4
spaces for a tab. OTOH I'm not saying it is correct, just that it would be
more consistent with a (suggested by a PEP) 4-space indentation step.